RedCrawler API
Flairs V1

Edit Post Flair V1

Update an existing post (link) flair template. Same as Create but requires flair_template_id. Requires mod permissions.

POST /api/v1/communities/{name}/create-post-flair-template

Update an existing post (link) flair template. Same as Create but requires flair_template_id. Requires mod permissions.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name.

Body parameters

NameTypeRequiredDescription
flair_template_idstringYesID of the flair template to update.
css_classstringNoCSS class for old Reddit styling.
max_emojisstringNoMax emojis allowed (default: 10).
text_editablestringNoAllow users to edit flair text. true or false.
textstringNoFlair text (max 64 characters).
background_colorstringNoHex background color (e.g. #ff4500).
proxystringNoProxy. Optional if stored in Token Vault.
mod_onlystringNoOnly mods can assign this flair. true or false.
text_colorstringNoText color: light or dark.
bearerstringNoBearer token. Optional if stored in Token Vault.
allowable_contentstringNoAllowed content: all, emoji, or text.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/create-post-flair-template" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"flair_template_id": "<flair_template_id>", "css_class": "<css_class>", "max_emojis": "10", "text_editable": "false", "text": "<text>", "background_color": "<background_color>", "proxy": "<proxy>", "mod_only": "false", "text_color": "dark", "bearer": "<bearer>", "allowable_content": "all"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/create-post-flair-template", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "flair_template_id": "<flair_template_id>",
  "css_class": "<css_class>",
  "max_emojis": "10",
  "text_editable": "false",
  "text": "<text>",
  "background_color": "<background_color>",
  "proxy": "<proxy>",
  "mod_only": "false",
  "text_color": "dark",
  "bearer": "<bearer>",
  "allowable_content": "all"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/create-post-flair-template"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "flair_template_id": "<flair_template_id>",
  "css_class": "<css_class>",
  "max_emojis": "10",
  "text_editable": "false",
  "text": "<text>",
  "background_color": "<background_color>",
  "proxy": "<proxy>",
  "mod_only": "false",
  "text_color": "dark",
  "bearer": "<bearer>",
  "allowable_content": "all"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "text": "Post Flair 2",
    "allowableContent": "all",
    "modOnly": false,
    "cssClass": "",
    "id": "6f77f132-43b4-11f1-9cc8-aeeaba5c1033",
    "textEditable": false,
    "overrideCss": false,
    "richtext": [
      {
        "e": "text",
        "t": "Post Flair 2"
      }
    ],
    "maxEmojis": 3,
    "flairType": "LINK_FLAIR",
    "backgroundColor": "",
    "textColor": "dark",
    "type": "richtext"
  },
  "error": null,
  "timestamp": "2026-04-29T10:20:44.351363+00:00"
}

On this page